- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Protected Member Functions | List of all members
libetonyek::IWORKXMLContextText Class Reference

`#include <IWORKXMLContextBase.h>`

Inheritance diagram for libetonyek::IWORKXMLContextText:

## Protected Member Functions
| IWORKXMLContextText (IWORKXMLParserState &)
virtual IWORKXMLContextPtr_t | element (int token)
| Create a context for parsing a child element. More...
Protected Member Functions inherited from libetonyek::IWORKXMLContextMinimal
| IWORKXMLContextMinimal ()
virtual void | startOfElement ()
| Signalize the start of an element. More...
virtual void | endOfAttributes ()
virtual void | endOfElement ()
| Signalize the end of an element. More...

## Additional Inherited Members
Public Member Functions inherited from libetonyek::IWORKXMLContext
virtual | ~IWORKXMLContext ()=0
virtual void | attribute (int name, const char *value)=0
| Process an attribute. More...
virtual void | text (const char *value)=0
| Process textual content of an element. More...

## Constructor & Destructor Documentation

libetonyek::IWORKXMLContextText::IWORKXMLContextText | ( | IWORKXMLParserState & |  | ) |
| explicit protected

## Member Function Documentation

IWORKXMLContextPtr_t libetonyek::IWORKXMLContextText::element | ( | int | name | ) |
| protected virtual

Create a context for parsing a child element.

Returns
  A new context or an empty pointer if the child element cannot be handled.

Implements libetonyek::IWORKXMLContext.

The documentation for this class was generated from the following files:

- IWORKXMLContextBase.h
- IWORKXMLContextBase.cpp